/*
 Theme Name:     Boscagli Theme 2026
 Description:    Boscagli Theme 2026 Child Theme
 Template:       Divi
 text-domain:	 bosc-theme
 Version:        1.0.4
*/

/* Variables */
:root {
	--bsFont: #1A1C1C;
	--bsBlu: #053856;
	--bsYellow: #FEC42A;
	--bsLGrey: #F5F7F8;

	--bsFontLarge: 3.125rem;
	--bsfontMedium: 2.125rem;
	--bsFontRegular: 1.25rem;
	--bsfontSmall: 1rem;
}


/* Img titles pop-up off */
.et_pb_image img { pointer-events: none; }
/* Selected Text Color 
::selection { color: rgba(255, 255, 255, 0.8);background: var(--main); } */

/* ------ FONT ------ */
@import url("https://use.typekit.net/yqp3xjh.css");

/* ------ TEXT ------ */
.bosc-text {
	font-size: var(--bsFontRegular);
	font-family: 'gotham, sans-serif';
	font-weight: 400;
	font-style: normal;
	line-height: 1.4em;
}
.text-large {
	font-size: var(--bsFontLarge);
	line-height: 1.2em;
}
.text-medium {
	font-size: var(--bsfontMedium);
	line-height: 1.2em;
}
.text-small {
	font-size: var(--bsfontSmall);
	line-height: 1em;
}

.title-underline {
	font-weight: 700;
  	border-bottom: .2em solid var(--bsYellow);
  	padding: 0 1rem;
}


/* ------ MENU ------ */
/* - MENU MOBILE - */
/* Icona Hamburger */
/* Cambia l'icona quando aperto in mobile */
.mobile_nav.opened .mobile_menu_bar:before {
    content: '\4d';
}
/* Animazione on click */
.mobile_menu_bar:before {
	transition: all .4s ease;
	transform: rotate(0deg);
	display: block;
    top: 10px !important;
}

.mobile_nav.opened .mobile_menu_bar::before {
	transition: all .4s ease;
	transform: rotate(90deg);
	display: block;
}
/* Chiusura Submenu Mobile */
/* adjust the new toggle element which is added via jQuery */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle {
	width: 44px;
	height: 100%;
	padding: 0px !important;
	max-height: 44px;
	border: none;
	position: absolute;
	right: 0px;
	top: 0px;
	z-index: 999;
	background-color: transparent;
}
/* some code to keep everyting positioned properly */
ul.et_mobile_menu>li.menu-item-has-children,
ul.et_mobile_menu>li.page_item_has_children,
ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu>li.menu-item-has-children .sub-menu li.menu-item-has-children {
	position: relative;
}
/* remove default background color from menu items that have children */
.et_mobile_menu .menu-item-has-children>a,
.et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children>a {
	background-color: transparent;
}
/* hide the submenu by default */
ul.et_mobile_menu .menu-item-has-children .sub-menu,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu {
	display: none !important;
	visibility: hidden !important;
}
/* show the submenu when toggled open */
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible {
	display: block !important;
	visibility: visible !important;
}
/* adjust the toggle icon position and transparency */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle {
	text-align: center;
	opacity: 1;
}
/* submenu toggle icon when closed */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after {
	top: 10px;
	position: relative;
	font-family: "ETModules";
	content: '\33';
	color: var(--bsBlu);
    font-size: 20px;    
}
/* submenu toggle icon when open */
ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open>.mobile-toggle::after {
	content: '\32';
}
/* add point on top of the menu submenu dropdown */
.et_pb_menu_0.et_pb_menu .et_mobile_menu:after {
	position: absolute;
	right: 5%;
	margin-left: -20px;
	top: -14px;
	width: 0;
	height: 0;
	content: '';
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	border-bottom: 20px solid var(--bsBlu);
}
/* adjust the position of the hamburger menu */
.mobile_menu_bar {
	position: relative;
	display: block;
	bottom: 10px;
	line-height: 0;
}
/* force the background color and add a rounded border */
.et_pb_menu_0.et_pb_menu .et_mobile_menu,
.et_pb_menu_0.et_pb_menu .et_mobile_menu ul {
	background-color: var(--bsBlu)!important;
	border-radius: 10px;
}